Update one subinventory

patch

/fscmRestApi/resources/11.13.18.05/subinventories/{subinventoriesUniqID}/child/itemSubinventories/{itemSubinventoriesUniqID}

Request

Path Parameters
  • This is the hash key of the attributes which make up the composite key for the Subinventory Items resource and used to uniquely identify an instance of Subinventory Items. The client should not generate the hash key value. Instead, the client should query on the Subinventory Items collection resource in order to navigate to a specific instance of Subinventory Items to get the hash key.
  • This is the hash key of the attributes which make up the composite key--- OrganizationId and SecondaryInventoryName ---for the Subinventories resource and used to uniquely identify an instance of Subinventories. The client should not generate the hash key value. Instead, the client should query on the Subinventories collection resource with a filter on the primary key values in order to navigate to a specific instance of Subinventories.

    For example: subinventories?q=OrganizationId=<value1>;SecondaryInventoryName=<value2>
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : itemSubinventoriesDFF
Type: array
Show Source
Nested Schema : schema
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : subinventories-itemSubinventories-item-response
Type: object
Show Source
Nested Schema : itemSubinventoriesDFF
Type: array
Show Source
Nested Schema : subinventories-itemSubinventories-itemSubinventoriesDFF-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to update one item subinventory in one subinventory.

Example cURL Command

Use the following cURL command to submit a request on the REST resource:

curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/subinventories/subinventoriesUniqID/child/itemSubinventories/itemSubinventoriesUniqID"

For example, the following command updates the mininum order quantity and the maximumn order quantity in item subinventory 00030000000EACED0005770800000000000A21630000000EACED0005770800000000000000CF000000084142435355423031 in subinventory 00020000000EACED0005770800000000000000CF000000084142435355423031:

curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/subinventories/00020000000EACED0005770800000000000000CF000000084142435355423031/child/itemSubinventories/00030000000EACED0005770800000000000A21630000000EACED0005770800000000000000CF000000084142435355423031

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it creates.

{
  "MinimumOrderQuantity": 100,
  "MaximumOrderQuantity": 1000
}

Example Response Body

The following example includes the contents of the response body in JSON format:

{
    "FixedLotMultiple": null,
    "InventoryItemId": 663907,
    "MinimumMaximumPlanningCode": 6,
    "MaximumMinmaxQuantity": null,
    "MaximumOrderQuantity": 1000,
    "MinimumMinmaxQuantity": null,
    "MinimumOrderQuantity": 100,
    "PostprocessingLeadTime": null,
    "PreprocessingLeadTime": null,
    "ProcessingLeadTime": null,
    "SecondaryInventory": "ABCSUB01",
    "SourceOrganizationId": null,
    "SourceSubinventory": null,
    "SourceType": null,
    "ItemNumber": "RCV-100",
    "SourceOrganizationCode": null,
    "links": [
        {
            "rel": "self",
            "href": "https://servername/fscmRestApi/resources/version/subinventories/00020000000EACED0005770800000000000000CF000000084142435355423031/child/itemSubinventories/00030000000EACED0005770800000000000A21630000000EACED0005770800000000000000CF000000084142435355423031",
            "name": "itemSubinventories",
            "kind": "item",
            "properties": {
                "changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
            }
        },
        {
            "rel": "canonical",
            "href": "https://servername/fscmRestApi/resources/version/subinventories/00020000000EACED0005770800000000000000CF000000084142435355423031/child/itemSubinventories/00030000000EACED0005770800000000000A21630000000EACED0005770800000000000000CF000000084142435355423031",
            "name": "itemSubinventories",
            "kind": "item"
        },
        {
            "rel": "parent",
            "href": "https://servername/fscmRestApi/resources/version/subinventories/00020000000EACED0005770800000000000000CF000000084142435355423031",
            "name": "subinventories",
            "kind": "item"
        },
        {
            "rel": "lov",
            "href": "https://servername/fscmRestApi/resources/version/subinventories/00020000000EACED0005770800000000000000CF000000084142435355423031/child/itemSubinventories/00030000000EACED0005770800000000000A21630000000EACED0005770800000000000000CF000000084142435355423031/lov/SourceTypeLov",
            "name": "SourceTypeLov",
            "kind": "collection"
        },
        {
            "rel": "lov",
            "href": "https://servername/fscmRestApi/resources/version/subinventories/00020000000EACED0005770800000000000000CF000000084142435355423031/child/itemSubinventories/00030000000EACED0005770800000000000A21630000000EACED0005770800000000000000CF000000084142435355423031/lov/MinMaxPlanningLov",
            "name": "MinMaxPlanningLov",
            "kind": "collection"
        },
        {
            "rel": "child",
            "href": "https://servername/fscmRestApi/resources/version/subinventories/00020000000EACED0005770800000000000000CF000000084142435355423031/child/itemSubinventories/00030000000EACED0005770800000000000A21630000000EACED0005770800000000000000CF000000084142435355423031/child/itemSubinventoriesDFF",
            "name": "itemSubinventoriesDFF",
            "kind": "collection"
        }
    ]
}
Back to Top